package main;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.codehaus.jackson.map.ObjectMapper;

public class Servletl extends HttpServlet {
	private static double value = 0;

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
		ObjectMapper objectMapper = new ObjectMapper();
		List<Statistika> vysledek = new ArrayList<Statistika>();

		Statistika IB24ad = new Statistika("IB24ad", value++);
		vysledek.add(IB24ad);

		Statistika BB24ad = new Statistika("BB24ad", value++);
		vysledek.add(BB24ad);

		Statistika PSBIB24ad = new Statistika("PSBIB24ad", value++);
		vysledek.add(PSBIB24ad);

		Statistika IB24td = new Statistika("IB24td", value++);
		vysledek.add(IB24td);

		Statistika BB24td = new Statistika("BB24td", value++);
		vysledek.add(BB24td);

		Statistika PSBIB24td = new Statistika("PSBIB24td", value++);
		vysledek.add(PSBIB24td);

		Statistika HBad = new Statistika("HBad", value++);
		vysledek.add(HBad);

		Statistika MCad = new Statistika("MCad", value++);
		vysledek.add(MCad);

		Statistika EDad = new Statistika("EDad", value++);
		vysledek.add(EDad);

		Statistika HBtd = new Statistika("HBtd", value++);
		vysledek.add(HBtd);

		Statistika MCtd = new Statistika("MCtd", value++);
		vysledek.add(MCtd);

		Statistika EDtd = new Statistika("EDtd", value++);
		vysledek.add(EDtd);

		Statistika CSOBad = new Statistika("CSOBad", value++);
		vysledek.add(CSOBad);

		Statistika CSOBtd = new Statistika("CSOBtd", value++);
		vysledek.add(CSOBtd);

		Statistika PSINFad = new Statistika("PSINFad", value++);
		vysledek.add(PSINFad);

		Statistika PSINFtd = new Statistika("PSINFtd", value++);
		vysledek.add(PSINFtd);

		Statistika IB24qc = new Statistika("IB24qc", value++);
		vysledek.add(IB24qc);

		Statistika BB24qc = new Statistika("BB24qc", value++);
		vysledek.add(BB24qc);

		Statistika PSBIB24qc = new Statistika("PSBIB24qc", value++);
		vysledek.add(PSBIB24qc);

		Statistika HBqc = new Statistika("HBqc", value++);
		vysledek.add(HBqc);

		Statistika MCqc = new Statistika("MCqc", value++);
		vysledek.add(MCqc);

		Statistika EDqc = new Statistika("EDqc", value++);
		vysledek.add(EDqc);

		Statistika CSOBqc = new Statistika("CSOBqc", value++);
		vysledek.add(CSOBqc);

		Statistika PSINFqc = new Statistika("PSINFqc", value++);
		vysledek.add(PSINFqc);

		Statistika CSOB_ELB_mail_qc = new Statistika("CSOB_ELB_mail_qc", value++);
		vysledek.add(CSOB_ELB_mail_qc);

		Statistika ERA_ELB_chat_qc = new Statistika("ERA_ELB_chat_qc", value++);
		vysledek.add(ERA_ELB_chat_qc);

		Statistika ELB_zakonna = new Statistika("ELB_zakonna", value++);
		vysledek.add(ELB_zakonna);

		Statistika ELB_prestavka = new Statistika("ELB_prestavka", value++);
		vysledek.add(ELB_prestavka);

		String json = objectMapper.writeValueAsString(vysledek);
		PrintWriter out = response.getWriter();
		out.println(json);
	}
}
