create tablespace wallboard 
datafile 'wallboard.dbf'
size 32m 
online;


create user wallboard identified by wallboard default tablespace wallboard
quota unlimited on wallboard;
alter user wallboard quota unlimited on wallboard;
grant create session to wallboard;
grant create table to wallboard;
grant create sequence to wallboard;



--drop user wallboard cascade;
--drop tablespace wallboard INCLUDING CONTENTS AND DATAFILES;

create sequence wallboard.zprava_id_seq;

  CREATE TABLE "WALLBOARD"."ZPRAVA" 
   (	"ID" NUMBER(*,0), 
	"NAZEV" VARCHAR2(50 BYTE) not null, 
	"OBSAH" VARCHAR2(4000 BYTE) not null, 
	"AUTOR" VARCHAR2(50 BYTE) not null,
  TYP VARCHAR2(20 BYTE) not null,
  KDY_VZNIK DATE not null
   ) TABLESPACE "WALLBOARD" ;

  CREATE UNIQUE INDEX "WALLBOARD"."ZPRAVA_PK" ON "WALLBOARD"."ZPRAVA" ("ID") 
  TABLESPACE "WALLBOARD" ;

  ALTER TABLE "WALLBOARD"."ZPRAVA" ADD CONSTRAINT "ZPRAVA_PK" PRIMARY KEY ("ID");
