package cz.uhk.wallboard.controller;

import java.util.Map;

import javax.servlet.ServletContext;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import cz.uhk.wallboard.model.Statistika;

@Controller
public class HomeController {

	@Autowired
	ServletContext context;

	@RequestMapping(value = { "/", "/index.html" })
	public ModelAndView index() throws Exception {
		ModelAndView mav = new ModelAndView("wb");
		@SuppressWarnings("unchecked")
		Map<String, Statistika> statistiky = (Map<String, Statistika>) context.getAttribute("statistika");
		mav.addObject("statistiky", statistiky);
		return mav;
	}
}
