package cz.uhk.wallboard.model;

import java.util.Map;

/**
 * 
 * Implementace popisují postup, kterým se ze vstupních statistik odvodí statistika odvozená
 *
 */
public interface OdvozovaciStrategie {

	/**
	 * 
	 * @param statistiky
	 *            mapa obsahující minimálně všechny statistiky potřebné k odvození nové statistiky 
	 * @return statistika odvozená z některých vstupních statistik
	 */
	OdvozenaStatistika odvod(Map<String, Statistika> statistiky);
}
