package cz.uhk.wallboard.security;

public class Role {

	private String nazev;

	public Role(String nazev) {
		super();
		this.nazev = nazev;
	}

	public String getNazev() {
		return nazev;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((nazev == null) ? 0 : nazev.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Role other = (Role) obj;
		if (nazev == null) {
			if (other.nazev != null)
				return false;
		} else if (!nazev.equals(other.nazev))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Role [nazev=" + nazev + "]";
	}

}
