package cz.uhk.wallboard.security;

import java.util.Collection;

public class WallboardUser {

	private String username;
	private Collection<? extends Role> role;

	public WallboardUser(String username, Collection<? extends Role> role) {
		this.username = username;
		this.role = role;
	}

	public String getUsername() {
		return username;
	}

	public Collection<? extends Role> getRole() {
		return role;
	}

	@Override
	public String toString() {
		return "WallboardUser [username=" + username + ", role=" + role + "]";
	}

}
