<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="description" content="Wallboard - seznam zpráv">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>WB-zprávy</title>

    <link href="/Wallboard/favicon.ico" rel="shortcut icon" />
    <script src="js/jquery-1.11.1.min.js"></script>
    
    <!-- bootstrap css+js -->
    <link rel="stylesheet" href="bootstrap/3.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="bootstrap/3.3.1/css/bootstrap-theme.min.css">
    <script src="bootstrap/3.3.1/js/bootstrap.min.js"></script>
    
    <link href="css/style.css" rel="stylesheet" type="text/css">
  </head>
  <body>
    <div class="jumbotron">
      <div class="container">
        <h1>Aktuálně zobrazitelné zprávy</h1>
      </div>
    </div>
    
    <div class="container">
      <#if 0 < zpravy?size>
    	<ul>
           <#list zpravy as zprava>
              <li>
              <h1>${zprava.typZpravy.nazev!''}, ${zprava.nazev!''}</h1>
              ${zprava.obsah!''}
              <button class="btn btn-primary" onclick="window.location.href='${zprava.typZpravy.nazevBezDiakritiky!''}/${zprava.nazev!''}'">Nová</button>
              </li>
           </#list>
        </ul>
      <#else>
        <p>Nebyly nalezeny žádné zprávy.</p>
      </#if>  
    </div>
    
  </body>
</html>
