package main;

import static org.junit.Assert.assertEquals;

import java.io.IOException;

import org.codehaus.jackson.JsonGenerationException;
import org.codehaus.jackson.map.JsonMappingException;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.Test;

public class TestSerializaceStatistiky {

	@Test
	public void otestujSerializaci() throws JsonGenerationException, JsonMappingException, IOException {
		Statistika statistika1 = new Statistika("Test1", 15);
		ObjectMapper objectMapper = new ObjectMapper();
		String actual = objectMapper.writeValueAsString(statistika1);
		String expected = "{\"hodnota\" : 15.0,\"nazev\" : \"Test1\" }";
		assertEquals("valueOf tridy Statistika musi vracet retezcovou hodnotu statistiky", expected, actual);
	}

}
