package cz.uhk.wallboard.controller;

import java.util.Map;

import javax.servlet.ServletContext;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import cz.uhk.wallboard.model.Statistika;

@Controller
@RequestMapping("/wallboard")
public class WallboardController {

	@Autowired
	ServletContext context;

	@RequestMapping(value = { "{nazevWalboardu}" })
	public ModelAndView wallboard(@PathVariable String nazevWalboardu) throws Exception {
		ModelAndView mav = new ModelAndView(nazevWalboardu);

		@SuppressWarnings("unchecked")
		Map<String, Statistika> statistiky = (Map<String, Statistika>) context.getAttribute("statistika");
		mav.addObject("statistiky", statistiky);

		return mav;
	}

}
