package cz.uhk.wallboard.model;

public class Zprava implements WallboardovaPolozka {

	private Integer id;
	private String nazev;
	private String obsah;
	private TypZpravy typZpravy;

	public Zprava(Integer id, String nazev, String obsah, TypZpravy typZpravy) {
		this.id = id;
		this.nazev = nazev;
		this.obsah = obsah;
		this.typZpravy = typZpravy;
	}

	@Override
	public String getNazev() {
		return nazev;
	}

	@Override
	public String getObsah() {
		return obsah;
	}

	public Integer getId() {
		return id;
	}

	public TypZpravy getTypZpravy() {
		return typZpravy;
	}

	@Override
	public String toString() {
		return "Zprava [id=" + id + ", nazev=" + nazev + ", obsah=" + obsah + ", typZpravy=" + typZpravy + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((nazev == null) ? 0 : nazev.hashCode());
		result = prime * result + ((obsah == null) ? 0 : obsah.hashCode());
		result = prime * result + ((typZpravy == null) ? 0 : typZpravy.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Zprava other = (Zprava) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (nazev == null) {
			if (other.nazev != null)
				return false;
		} else if (!nazev.equals(other.nazev))
			return false;
		if (obsah == null) {
			if (other.obsah != null)
				return false;
		} else if (!obsah.equals(other.obsah))
			return false;
		if (typZpravy != other.typZpravy)
			return false;
		return true;
	}

}
