<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="description" content="Wallboard Helpdesku elektronického bankovnictví">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>HD ELB</title>

    <link href="/Wallboard/favicon.ico" rel="shortcut icon" />

    <script src="/Wallboard/jquery/jquery-3.4.0.min.js"></script>
    <script src="/Wallboard/popper/popper.min.js"></script>
    <script src="/Wallboard/bootstrap/Scripts/bootstrap.min.js"></script>
    <link rel="stylesheet" href="/Wallboard/bootstrap/bootstrap.min.css">
    <link href="/Wallboard/styl.css" rel="stylesheet" type="text/css">

  </head>
  <body  onLoad="timeRefresh(200000);">
    <div class="container ">
    
    <div id="manazerskaZprava" class="row ">
		${(statistiky.manazerska_hdelb.obsah)!"Zpráva nenalezena."}      
    </div>
    
    <div class="row radekStatistik">

		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  		  
	  		<p class="card-title">Internetbanking</p>
		    <#if statistiky.IB24qc?? && statistiky.IB24qc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.IB24qc.hodnota)!"NaN"}
		    </p>
		    
		    <#if statistiky.HDELB_CZ_IB_OBSLUZNOST?? && statistiky.HDELB_CZ_IB_OBSLUZNOST.hodnota &gt; 95> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.HDELB_CZ_IB_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		  </div>
		</div> <!--card-->
	
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Businessbanking</p>
    		    <#if statistiky.BB24qc?? && statistiky.BB24qc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.BB24qc.hodnota)!"NaN"}
		    </p>
    		    <#if statistiky.HDELB_CZ_BB_OBSLUZNOST?? && statistiky.HDELB_CZ_BB_OBSLUZNOST.hodnota &gt; 95> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.HDELB_CZ_BB_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		  </div>
		</div><!--card-->
	
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Homebanking</p>
    		    <#if statistiky.HBqc?? && statistiky.HBqc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.HBqc.hodnota)!"NaN"}
		    </p>
    		    <#if statistiky.HDELB_HOMEBANKING_OBSLUZNOST?? && statistiky.HDELB_HOMEBANKING_OBSLUZNOST.hodnota &gt; 95> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.HDELB_HOMEBANKING_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		    
		  </div>
		</div>	<!--card-->			
			
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Multicash</p>
    		    <#if statistiky.MCqc?? && statistiky.MCqc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.MCqc.hodnota)!"NaN"}
		    </p>
    		    <#if statistiky.HDELB_MULTICASH_OBSLUZNOST?? && statistiky.HDELB_MULTICASH_OBSLUZNOST.hodnota &gt; 95> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.HDELB_MULTICASH_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		    
		  </div>
		</div> <!--card-->	
		
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Maxinternetbanking</p>
    		    <#if statistiky.PSBIB24qc?? && statistiky.PSBIB24qc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.PSBIB24qc.hodnota)!"NaN"}
		    </p>
    		    <#if statistiky.HDELB_PSB_IB_OBSLUZNOST?? && statistiky.HDELB_PSB_IB_OBSLUZNOST.hodnota &gt; 95> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.HDELB_PSB_IB_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		    		 
		    </div>
		</div> <!--card-->																				
																								
    </div> <!--row-->
     
     
	<div class="row radekStatistik">
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Edifact</p>
		    		    <#if statistiky.EDqc?? && statistiky.EDqc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.EDqc.hodnota)!"NaN"}
		    </p>
    		    <#if statistiky.HDELB_EDIFAC_OBSLUZNOST?? && statistiky.HDELB_EDIFAC_OBSLUZNOST.hodnota &gt; 95> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.HDELB_EDIFAC_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		    
		  </div>
		</div> <!--card-->	
	     
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Infolinka ČSOB</p>
		    		    <#if statistiky.CSOBqc?? && statistiky.CSOBqc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.CSOBqc.hodnota)!"NaN"}
		    </p>
    		    <#if statistiky.CSOB_INFOLINKA_OBSLUZNOST?? && statistiky.CSOB_INFOLINKA_OBSLUZNOST.hodnota &gt; 92> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.CSOB_INFOLINKA_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		    
		  </div>
		</div> <!--card-->	     
	               
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Infolinka ERA</p>
		    		    <#if statistiky.PSINFqc?? && statistiky.PSINFqc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.PSINFqc.hodnota)!"NaN"}
		    </p>
		    		    <#if statistiky.ERA_INFOLINKA_OBSLUZNOST?? && statistiky.ERA_INFOLINKA_OBSLUZNOST.hodnota &gt; 92> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>		    	
		    	${(statistiky.ERA_INFOLINKA_OBSLUZNOST.hodnota)!"NaN"}
			</p>    		    
		    
		  </div>
		</div>	<!--card-->
		
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">E-maily</p>
    		    <#if statistiky.CSOB_ELB_mail_qc?? && statistiky.CSOB_ELB_mail_qc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.CSOB_ELB_mail_qc.hodnota)!"NaN"}
		    </p>
		  </div>
		</div> <!--card-->
										
		<div class="card border-primary text-center ">
		  <div class="card-body">		  		  
	  		<p class="card-title">Chat</p>
    		    <#if statistiky.ERA_ELB_chat_qc?? && statistiky.ERA_ELB_chat_qc.hodnota < 2> 
	    	<p class="card-text text-success">
		    <#else>
		    <p class="card-text text-danger">
		    </#if>
		    	${(statistiky.ERA_ELB_chat_qc.hodnota)!"NaN"}
		    </p>
		  </div>
		</div> <!--card-->		
			               
	</div> <!--row-->
	
	<div id="prestavky" class="row w-100">	
      <div class="d-flex align-items-center justify-content-center w-100">
        <div class="w-50 text-center">Krátká přestávka: ${statistiky.ELB_prestavka.hodnota!"NaN"}</div>
        <div class="w-50 text-center">Zákonná přestávka: ${statistiky.ELB_zakonna.hodnota!"NaN"}</div>
      </div>      
	</div>
    <div id="lektorskaZprava" class="row">
    	${(statistiky.lektorska_hdelb.obsah)!"Zpráva nenalezena."}
    </div>                
	</div>	<!--kontejner-->    
  </body>
  <script>
      function timeRefresh(time) {
        setTimeout("location.reload(true);", time);
      }
  </script>
</html>
